<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>${env.CI_PROJECT_ROOT_NAMESPACE}</groupId>
    <artifactId>maven-test</artifactId>
    <packaging>jar</packaging>
    <version>${env.VERSION}</version>
    <repositories>
    <repository>
        <id>gitlab-maven</id>
        <url>${env.URL}</url>
    </repository>
    </repositories>
    <dependencies>
    </dependencies>
    <distributionManagement>
        <repository>
        <id>gitlab-maven</id>
        <url>${env.URL}</url>
        </repository>
        <snapshotRepository>
            <id>gitlab-maven</id>
            <url>${env.URL}</url>
        </snapshotRepository>        
    </distributionManagement>
    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>2.1</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <transformers>
                                <transformer
                                    implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
                                    <mainClass>hello.HelloWorld</mainClass>
                                </transformer>
                            </transformers>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
